/***************************************************************************
** File: cyucon.h
** Description: the main header file for microcom project
**
**** All rights reserved.
****************************************************************************
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details at www.gnu.org
****************************************************************************
****************************************************************************/
#ifndef CYUCON_H
#define CYUCON_H
#include <sys/time.h>
#include <sys/types.h>
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <string.h>
#include <termios.h>
#include <unistd.h>
#include <assert.h>

typedef enum { ERROR,WARNING,PROGRESS,DEBUG } logLevels;
#define READYIND "Ready >\r\n "
#define SENDIND "send0\r\n"
#define NOTALLOWED "* Can't execute\r\n"
#include "prototypes.h"

#ifdef MAIN
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN char param_name[80];

/* #define BUFSIZE 1024 */
#define SENDPACKETDATASIZE 512
#define MAX_COMMAND_NAME 40
#define MAX_SENDFILE_NAME 14
#define MAX_SENDFILE_ROOTNAME 9
#define MAX_SENDFILE_EXTENSION 3
#define MEMCARDDIRPREP "/a/"
#define STAT_SUCCESS 0
#define STAT_FAILURE -1
#define STAT_NEUTRAL 1

EXTERN struct termios pots; /* old port termios settings to restore */
EXTERN struct termios sots; /* old stdout/in termios settings to restore */
EXTERN int pf;  /* port file descriptor */
EXTERN unsigned char Rcv[32767]; /* Receive buffer for commands. Bleh. */
EXTERN int Verbosity; /* How much will we talk about what we are doing? */
EXTERN int MemoryFlash; /* Switch controls whether we talk to memory card. */
EXTERN int MangleFilename; /* Switch controls filename mangling. */  
#endif /* CYUCON_H */






