/*
 * Listen to the Cybiko. Charles Shapiro, Dec 2001. Gnu Public License.
 
**** All rights reserved.
****************************************************************************
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details at www.gnu.org
****************************************************************************
*/

#include "cyucon.h"
#include "crctab.h"
#include <stdio.h> /* bufsize, perror */

/*
Listen to Cybiko, dump what we hear to stdout.
Listen forever, or until user presses a key.
*/
void Listen(int pf)    
{
 
    fd_set ready; /* Set of files for select call */
    ssize_t numCharsReadNow=0;
    char inBuffer[BUFSIZ];
    int quit=0;

    while(! quit) 
    {
	FD_ZERO(&ready);
	FD_SET(STDIN_FILENO,&ready);
	FD_SET(pf,&ready);
	select(pf+1,&ready,NULL,NULL,NULL);

	if(FD_ISSET(pf,&ready))
	{
	    numCharsReadNow= read(pf,inBuffer,sizeof(inBuffer)-1);
	    if(numCharsReadNow) 
	    {
		fwrite(inBuffer,numCharsReadNow,1,stdout);
	    }
	}
	if(FD_ISSET(STDIN_FILENO,&ready))
	{
	    numCharsReadNow=read(STDIN_FILENO,inBuffer,1);
	    if(numCharsReadNow) {
		printf("\n");
		quit=1;
	    }
	} 
    } /* while(! quit) */
}
